| QxOrm 1.2.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions
qx::QxValidatorX< T > Class Template Reference
QxValidator : QxOrm library validation engine using validator pattern

qx::QxValidatorX<T> : concrete class for a list of validators associated to a type registered into QxOrm context More...

`#include <QxValidatorX.h>`

Inheritance diagram for qx::QxValidatorX< T >:

List of all members.

## Public Member Functions
| QxValidatorX ()
virtual | ~QxValidatorX ()
template<class DataType >
IxValidator * | add_RecursiveValidator (const QString &sPropertyKey, const QString &sGroup=QString())
IxValidator * | add_CustomValidator (typename QxValidator< T >::type_fct_custom_validator_member fct, const QString &sGroup=QString())
IxValidator * | add_CustomValidator_QVariant (typename QxValidator< T >::type_fct_custom_validator_variant_validator fct, const QString &sPropertyKey, const QString &sGroup=QString())
template<class DataType >
IxValidator * | add_CustomValidator_DataType (typename QxValidator_WithDataType< DataType, T >::type_fct_custom_validator_data_type_validator fct, const QString &sPropertyKey, const QString &sGroup=QString())
## Private Member Functions
template<class Validator , class FunctionType >
IxValidator * | add_CustomValidator_Helper (Validator *validator, FunctionType fct, const QString &sPropertyKey, const QString &sGroup)

## Detailed Description

### template<class T>
class qx::QxValidatorX< T >

qx::QxValidatorX<T> : concrete class for a list of validators associated to a type registered into QxOrm context

For more informations about QxValidator module, goto the FAQ of QxOrm website : http://www.qxorm.com/qxorm_en/faq.html#faq_250

Definition at line 61 of file QxValidatorX.h.

## Constructor & Destructor Documentation

template<class T >

qx::QxValidatorX< T >::QxValidatorX | ( |  | ) | `[inline]`

Definition at line 66 of file QxValidatorX.h.

template<class T >

virtual qx::QxValidatorX< T >::~QxValidatorX | ( |  | ) | `[inline, virtual]`

Definition at line 67 of file QxValidatorX.h.

## Member Function Documentation

template<class T >

IxValidator* qx::QxValidatorX< T >::add_CustomValidator | ( | typename QxValidator< T >::type_fct_custom_validator_member | fct,
|  | const QString & | sGroup = `QString()`
| ) |  | `[inline]`

Definition at line 80 of file QxValidatorX.h.

template<class T >
template<class DataType >

IxValidator* qx::QxValidatorX< T >::add_CustomValidator_DataType | ( | typename QxValidator_WithDataType< DataType, T >::type_fct_custom_validator_data_type_validator | fct,
|  | const QString & | sPropertyKey,
|  | const QString & | sGroup = `QString()`
| ) |  | `[inline]`

Definition at line 87 of file QxValidatorX.h.

template<class T >
template<class Validator , class FunctionType >

IxValidator* qx::QxValidatorX< T >::add_CustomValidator_Helper | ( | Validator * | validator,
|  | FunctionType | fct,
|  | const QString & | sPropertyKey,
|  | const QString & | sGroup
| ) |  | `[inline, private]`

Definition at line 93 of file QxValidatorX.h.

template<class T >

IxValidator* qx::QxValidatorX< T >::add_CustomValidator_QVariant | ( | typename QxValidator< T >::type_fct_custom_validator_variant_validator | fct,
|  | const QString & | sPropertyKey,
|  | const QString & | sGroup = `QString()`
| ) |  | `[inline]`

Definition at line 83 of file QxValidatorX.h.

template<class T >
template<class DataType >

IxValidator* qx::QxValidatorX< T >::add_RecursiveValidator | ( | const QString & | sPropertyKey,
|  | const QString & | sGroup = `QString()`
| ) |  | `[inline]`

Definition at line 70 of file QxValidatorX.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxValidator/QxValidatorX.h